Toolbelt.AspNetCore.Blazor.Minimum.Templates 0.8.0-preview-19104-04

Templates for ASP.NET Core Blazor without any js and css libraries.

This is a prerelease version of Toolbelt.AspNetCore.Blazor.Minimum.Templates.
There is a newer prerelease version of this package available.
See the version list below for details.
dotnet new --install Toolbelt.AspNetCore.Blazor.Minimum.Templates::0.8.0-preview-19104-04
This package contains a .NET Core Template Package you can call from the shell/command line.

Blazor Minimum Project Templates NuGet Package

Summary

This is project templates package for ASP.NET Core "Blazor" without JavaScript and CSS libraries, designed for dotnet CLI.

Blazor is an experimental .NET web framework using C# and HTML that runs in the browser. Learn More...

The Blazor application project, which is created by this template, contains only the minimum necessary files, like this.

fig.1

When you run this project, the following page will be displayed in a web browser.

fig.2

System requirement

How to install

>  dotnet new -i Toolbelt.AspNetCore.Blazor.Minimum.Templates::0.8.0-preview-19104-04

How to use

If you want to create a new Blazor application project which standalone edition, type dotnet new command with a short name of the template "blazormin".

>  dotnet new blazormin

If you want a ASP.NET Core hosted edition, use a short name of the template "blazorhostedmin".

>  dotnet new blazorhostedmin

These commands are create a new project in current directory, and the project name is same as the current directory name.

See also: "dotnet new command - .NET Core CLI" | Microsoft Docs

Known issues

There are a couple of known issues with this release that you may run into:

  • "It was not possible to find any compatible framework version. The specified framework 'Microsoft.NETCore.App', version '2.0.0' was not found.": You may see this error when building a Blazor app because the IL linker currently requires .NET Core 2.x to run. To work around this issue, either install .NET Core 2.2 or disable IL linking by setting the <BlazorLinkOnBuild>false</BlazorLinkOnBuild> property in your project file.
  • "Unable to generate deps.json, it may have been already generated.": You may see this error when running a standalone Blazor app and you haven't yet restored packages for any .NET Core apps. To workaround this issue create any .NET Core app (ex dotnet new console) and then rerun the Blazor app.

Upgrade to Blazor 0.8.0

See also: ASP.NET Blog - Blazor 0.8.0 experimental release now available

License

The Unlicense

Blazor Minimum Project Templates NuGet Package

Summary

This is project templates package for ASP.NET Core "Blazor" without JavaScript and CSS libraries, designed for dotnet CLI.

Blazor is an experimental .NET web framework using C# and HTML that runs in the browser. Learn More...

The Blazor application project, which is created by this template, contains only the minimum necessary files, like this.

fig.1

When you run this project, the following page will be displayed in a web browser.

fig.2

System requirement

How to install

>  dotnet new -i Toolbelt.AspNetCore.Blazor.Minimum.Templates::0.8.0-preview-19104-04

How to use

If you want to create a new Blazor application project which standalone edition, type dotnet new command with a short name of the template "blazormin".

>  dotnet new blazormin

If you want a ASP.NET Core hosted edition, use a short name of the template "blazorhostedmin".

>  dotnet new blazorhostedmin

These commands are create a new project in current directory, and the project name is same as the current directory name.

See also: "dotnet new command - .NET Core CLI" | Microsoft Docs

Known issues

There are a couple of known issues with this release that you may run into:

  • "It was not possible to find any compatible framework version. The specified framework 'Microsoft.NETCore.App', version '2.0.0' was not found.": You may see this error when building a Blazor app because the IL linker currently requires .NET Core 2.x to run. To work around this issue, either install .NET Core 2.2 or disable IL linking by setting the <BlazorLinkOnBuild>false</BlazorLinkOnBuild> property in your project file.
  • "Unable to generate deps.json, it may have been already generated.": You may see this error when running a standalone Blazor app and you haven't yet restored packages for any .NET Core apps. To workaround this issue create any .NET Core app (ex dotnet new console) and then rerun the Blazor app.

Upgrade to Blazor 0.8.0

See also: ASP.NET Blog - Blazor 0.8.0 experimental release now available

License

The Unlicense

Dependencies

This package has no dependencies.

This package is not used by any popular GitHub repositories.

Version History

Version Downloads Last updated
3.2.0-preview1.20073.1 76 1/29/2020
3.1.0-preview4.19579.2 92 12/4/2019
3.1.0-preview3.19555.2 38 11/21/2019
3.1.0-preview2.19528.8.2 39 11/6/2019
3.0.0-preview9.19465.2 53 9/24/2019
3.0.0-preview9.19457.4 52 9/17/2019
3.0.0-preview9.19424.4.3 59 9/9/2019
3.0.0-preview9.19424.4.1 47 9/6/2019
3.0.0-preview9.19424.4 43 9/5/2019
3.0.0-preview8.19405.7 79 8/16/2019
3.0.0-preview7.19365.7 74 7/25/2019
3.0.0-preview6.19307.2 95 6/14/2019
3.0.0-preview5-19227-01 169 5/8/2019
3.0.0-preview4-19216-03b 204 4/22/2019
0.9.0-preview3-19154-02 169 3/8/2019
0.8.0-preview-19104-04 148 2/7/2019
0.7.0 360 11/16/2018
0.6.0.1 257 10/3/2018
0.6.0 197 10/3/2018
0.5.1 313 7/27/2018
0.5.0 221 7/27/2018
0.4.0 234 7/20/2018
Show less